Get versioned EHR_STATUS version at time

Retrieves a VERSION from the VERSIONED_EHR_STATUS associated with the EHR identified by ehr_id.

If version_at_time is supplied, retrieves the VERSION extant at specified time, otherwise retrieves the latest VERSION.

Path Parameters
  • ehr_id
    Type: string
    required

    EHR identifier taken from EHR.ehr_id.value.

Query Parameters
  • version_at_time
    Type: string

    A given time in the extended ISO 8601 format.

Responses
  • application/json
  • 400

    400 Bad Request is returned when the request has invalid content such as an invalid version_at_time format.

  • 404

    404 Not Found is returned when an EHR with ehr_id does not exist, or when a version of the resource identified by the request parameters (at specified version_at_time) does not exist.

Request Example for get/ehr/{ehr_id}/versioned_ehr_status/version
curl 'https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/versioned_ehr_status/version?version_at_time=2015-01-20T19%3A30%3A22.765%2B01%3A00'
{
  "_type": "ORIGINAL_VERSION",
  "contribution": {
    "id": {
      "_type": "OBJECT_VERSION_ID",
      "value": "fb458d9c-1323-42bc-b7f8-787f3660a0b5::cataniamc.prod.cadasto.com::1"
    },
    "namespace": "local",
    "type": "COMPOSITION"
  },
  "signature": "string",
  "commit_audit": {
    "system_id": "9624982A-9F42-41A5-9318-AE13D5F5031F",
    "committer": {
      "_type": "PARTY_IDENTIFIED",
      "name": "A user name"
    },
    "time_committed": {
      "value": "2017-08-15T10:37:15.422+02:00"
    },
    "change_type": {
      "value": "creation",
      "defining_code": {
        "terminology_id": {
          "value": "openehr"
        },
        "code_string": "249"
      }
    },
    "description": {
      "value": "Description text"
    }
  },
  "data": {
    "archetype_node_id": "openEHR-EHR-COMPOSITION.encounter.v1",
    "name": {
      "value": "Vital Signs"
    },
    "uid": {
      "_type": "OBJECT_VERSION_ID",
      "value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
    },
    "archetype_details": {
      "archetype_id": {
        "value": "openEHR-EHR-COMPOSITION.encounter.v1"
      },
      "template_id": {
        "value": "Example.v1::c7ec861c-c413-39ff-9965-a198ebf44747"
      },
      "rm_version": "1.0.2"
    },
    "language": {
      "terminology_id": {
        "value": "ISO_639-1"
      },
      "code_string": "en"
    },
    "territory": {
      "terminology_id": {
        "value": "ISO_3166-1"
      },
      "code_string": "NL"
    },
    "category": {
      "value": "event",
      "defining_code": {
        "terminology_id": {
          "value": "openehr"
        },
        "code_string": "433"
      }
    },
    "composer": {
      "_type": "PARTY_IDENTIFIED",
      "external_ref": {
        "id": {
          "_type": "GENERIC_ID",
          "value": "16b74749-e6aa-4945-b760-b42bdc07098a",
          "scheme": "pid"
        },
        "namespace": "cataniamc.prod.cadasto.com",
        "type": "PERSON"
      },
      "name": "A name"
    },
    "context": {
      "start_time": {
        "value": "2014-11-18T09:50:35.000+01:00"
      },
      "setting": {
        "value": "other care",
        "defining_code": {
          "terminology_id": {
            "value": "openehr"
          },
          "code_string": "238"
        }
      }
    },
    "content": []
  },
  "uid": {
    "_type": "UID_BASED_ID",
    "value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
  },
  "preceding_version_uid": {
    "_type": "UID_BASED_ID",
    "value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
  },
  "other_input_version_uids": [
    {
      "_type": "UID_BASED_ID",
      "value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
    }
  ],
  "lifecycle_state": {
    "value": "Coded text value",
    "defining_code": {
      "terminology_id": {
        "value": "local"
      },
      "code_string": "at0001"
    }
  },
  "attestations": [
    {
      "system_id": "9624982A-9F42-41A5-9318-AE13D5F5031F",
      "committer": {
        "_type": "PARTY_IDENTIFIED",
        "name": "A user name"
      },
      "time_committed": {
        "value": "2017-08-15T10:37:15.422+02:00"
      },
      "change_type": {
        "value": "creation",
        "defining_code": {
          "terminology_id": {
            "value": "openehr"
          },
          "code_string": "249"
        }
      },
      "description": {
        "value": "Description text"
      }
    }
  ]
}